Skip to main content
GET
/
2025-04
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
creatives
/2025-04/marketing-solutions/advertisers/{advertiser-id}/creatives
curl --request GET \
  --url https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/creatives \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "advertiserId": "<string>",
        "author": "<string>",
        "name": "<string>",
        "status": "<string>",
        "adaptiveAttributes": {
          "callsToAction": [
            "<string>"
          ],
          "colors": {
            "backgroundColor": "<string>",
            "ctaBackgroundColor": "<string>",
            "ctaTextColor": "<string>",
            "logoAreaAndTitleColor": "<string>",
            "text1Color": "<string>",
            "text2Color": "<string>"
          },
          "descriptionFont": "<string>",
          "descriptionText": "<string>",
          "headlineFont": "<string>",
          "headlineText": "<string>",
          "imageSets": [
            {
              "images": [
                {
                  "url": "<string>"
                }
              ],
              "headlineText": "<string>"
            }
          ],
          "landingPageUrl": "<string>",
          "layouts": [],
          "logos": [
            {
              "url": "<string>"
            }
          ],
          "videos": [
            {
              "duration": 123,
              "url": "<string>"
            }
          ]
        },
        "datasetId": "<string>",
        "description": "<string>",
        "dynamicAttributes": {
          "bodyTextColor": "<string>",
          "callsToAction": [
            "<string>"
          ],
          "creativeBackgroundColor": "<string>",
          "logos": [
            {
              "url": "<string>"
            }
          ],
          "pricesColor": "<string>",
          "primaryFont": "<string>"
        },
        "format": "<string>",
        "htmlTagAttributes": {
          "tags": [
            {
              "htmlTag": "<string>",
              "size": {
                "height": 123,
                "width": 123
              }
            }
          ]
        },
        "imageAttributes": {
          "landingPageUrl": "<string>",
          "urls": [
            "<string>"
          ]
        }
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string
required

The advertiser identifier.

Query Parameters

limit
integer<int32> | null

The number of creatives to be returned. The default is 50.

offset
integer<int32> | null

The (zero-based) offset into the collection of creatives. The default is 0.

Response

200 - application/json

The list of self-services Creatives is returned.This list will contain creatives in draft status as well which will have some properties as null

A top-level object that encapsulates a Criteo API response for several entities.

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only